<?php
namespace Sisoft\Calculadora;

use InvalidArgumentException;
use Sisoft\Excepciones\MiPrimeraExcepcion;
//cuidado con adicionar parametros
//para probar en el git bash vendor/bin/phpunit tests/OperacionesTests.php --colors
class Operaciones {

    public function sumar($parametro1, $parametro2)
    {
        if (is_null($parametro1) || is_null($parametro2)) {
            throw new MiPrimeraExcepcion('Hola Mundo Excepcion');
        }
        if (!is_numeric($parametro1) || !is_numeric($parametro2)) {
            throw new InvalidArgumentException('El valor debe ser numérico');
        }
        return ($parametro1 + $parametro2);
    }
    public function dividir($parametro1, $parametro2)
    {
        if (is_null($parametro1) || is_null($parametro2)) {
            throw new MiPrimeraExcepcion('Hola Mundo Excepcion');
        }
        if (!is_numeric($parametro1) || !is_numeric($parametro2)) {
            throw new InvalidArgumentException('El valor debe ser numérico');
        }
        if ($parametro2 == "0") {
            throw new InvalidArgumentException('El valor del divisor no puede ser 0');
        }
        return ($parametro1 / $parametro2);
    }

}