<?php
namespace Tests;
use InvalidArgumentException;
use PHPUnit\Framework\TestCase;
use Sisoft\Calculadora\Operaciones;
use Sisoft\Excepciones\MiPrimeraExcepcion;
//TDD importante estudiar
class OperacionesTests extends TestCase {

    private $op;

    public function setup(): void
    {
            $this->op = new Operaciones();
    }

    public function testSumarConDosValores()
    {
        $this->assertSame(7, $this->op->sumar('2', '5'));
    }

    public function testSumarConValoresNulos()
    {
        $this->expectException(MiPrimeraExcepcion::class);
        $this->op->sumar(NULL, NULL);
    }

    public function testSumarConValoresVarchar()
    {
        $this->expectException(InvalidArgumentException::class);
        $this->op->sumar("dos", "siete");
    }

    public function testDividirConDosValores()
    {
        $this->expectException(InvalidArgumentException::class);
        $this->assertEquals(8, $this->op->dividir(6, 0));
        /* next class
        $payload = [
            'first_name' => $this->faker->firstName,
            'last_name'  => $this->faker->lastName,
            'email'      => $this->faker->email
        ];
        $this->json('post', 'api/user', $payload)
             ->assertStatus(Response::HTTP_CREATED)
             ->assertJsonStructure(
                 [
                     'message' => [
                         'id',
                         'first_name',
                         'last_name',
                         'email',
                         'created_at',]]);

        */
    }

}
